{{ ansible_managed | comment }}

# general
OAUTH2_PROXY_HTTP_ADDRESS=:4180
OAUTH2_PROXY_REVERSE_PROXY=true

# debug log
OAUTH2_PROXY_SHOW_DEBUG_ON_ERROR={{website_auth_oauth2_proxy_show_debug_on_error|bool|lower}}
OAUTH2_PROXY_REQUEST_LOGGING={{website_auth_oauth2_proxy_request_logging|bool|lower}}

# cookie
OAUTH2_PROXY_COOKIE_SECRET={{website_auth_oauth2_proxy_cookie_secret}}
OAUTH2_PROXY_COOKIE_NAME={{website_auth_oauth2_proxy_cookie_name}}
{% if website_auth_oauth2_proxy_with_cache %}
OAUTH2_PROXY_COOKIE_REFRESH={{website_auth_oauth2_proxy_cookie_refresh}}
{% endif %}
OAUTH2_PROXY_COOKIE_EXPIRE={{website_auth_oauth2_proxy_cookie_expire}}
OAUTH2_PROXY_COOKIE_SAMESITE=lax

# cache
{% if website_auth_oauth2_proxy_with_cache %}
OAUTH2_PROXY_SESSION_STORE_TYPE=redis
OAUTH2_PROXY_REDIS_CONNECTION_URL=redis://oauth2-proxy-cache
# OAUTH2_PROXY_REDIS_PASSWORD={{ website_auth_oauth2_proxy_redis_pass }}
OAUTH2_PROXY_REDIS_CONNECTION_TIMEOUT=14
{% else %}
OAUTH2_PROXY_SESSION_STORE_TYPE=cookie
OAUTH2_PROXY_SESSION_COOKIE_MINIMAL={{ website_auth_oauth2_proxy_session_cookie_minimal|bool|lower }}
{% endif %}

# provider
OAUTH2_PROXY_PROVIDER=keycloak-oidc
OAUTH2_PROXY_OIDC_ISSUER_URL={{ website_auth_oauth2_proxy_oidc_issuer_url }}
OAUTH2_PROXY_REDIRECT_URL={{ website_auth_oauth2_proxy_redirect_url }}
OAUTH2_PROXY_CLIENT_ID={{ website_auth_oauth2_proxy_client_id }}
OAUTH2_PROXY_CLIENT_SECRET={{ website_auth_oauth2_proxy_client_secret }}

# authorization
OAUTH2_PROXY_ALLOWED_ROLES={{ website_auth_allowed_roles | join(",") }}
{% if website_auth_allowed_groups is defined %}
OAUTH2_PROXY_ALLOWED_GROUPS={{ website_auth_required_groups | join(",") }}
{% endif %}
OAUTH2_PROXY_EMAIL_DOMAINS="*"

# login
OAUTH2_PROXY_SKIP_PROVIDER_BUTTON=true

# auth headers
OAUTH2_PROXY_PASS_ACCESS_TOKEN={{ website_auth_oauth2_proxy_pass_access_token|bool|lower }}
OAUTH2_PROXY_PASS_AUTHORIZATION_HEADER={{ website_auth_oauth2_proxy_pass_authorization_header|bool|lower }}
OAUTH2_PROXY_PASS_USER_HEADERS={{ website_auth_oauth2_proxy_pass_user_headers|bool|lower }}
OAUTH2_PROXY_PASS_BASIC_AUTH=false

# upstream
OAUTH2_PROXY_UPSTREAMS=http://website:{{website_service_port}}

# custom templates
# OAUTH2_PROXY_CUSTOM_TEMPLATES_DIR=/custom-templates
